shellcheck:
  image: koalaman/shellcheck-alpine
  script: 'shellcheck deploy/base/ros_entrypoint.bash scripts/*sh'
  allow_failure: yes

dockerfiles:
  image: hadolint/hadolint:latest-debian
  script:
    - RET=0
    - hadolint deploy/base/Dockerfile || RET=1
    - hadolint deploy/dev/Dockerfile || RET=1
    - exit $RET
  allow_failure: yes
